Returns a list of bills sorted by date of latest action.

The result set can be further filtered using 'fromDateTime' and 'toDateTime' parameters. It can also be sorted by 'updateDate'.

  • fromDateTime: start timestamp to filter by update date.

  • toDateTime: end timestamp to filter by update date.

  • sort: sort by 'updateDate' in ascending (asc) or descending (desc) order.

GET /bill

Example Request

/v3/bill
::

{
  'bills': [
    {
      'congress': 117,
      'latestAction': {
        'actionDate': '2022-04-06',
        'text': 'Became Public Law No: 117-108.'
      },
      'number': '3076',
      'originChamber': 'House',
      'originChamberCode': 'H',
      'title': 'Postal Service Reform Act of 2021',
      'type': 'HR',
      'updateDate': '2022-08-04T04:02:02Z',
      'url': 'https://api.congress.gov/v3/bill/117/hr/3076?format=json'
    },
    ...
  ]
}
Language
Credentials
Query
Response
Click Try It! to start a request and see the response here!